Index: src/main/java/edu/gjoko/schedlr/controllers/RegisterController.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/controllers/RegisterController.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/controllers/RegisterController.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -3,6 +3,4 @@
 import edu.gjoko.schedlr.entity.Stakeholder;
 import edu.gjoko.schedlr.services.StakeholderService;
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.http.MediaType;
 import org.springframework.stereotype.Controller;
 import org.springframework.ui.Model;
Index: src/main/java/edu/gjoko/schedlr/controllers/rest/AdminApi.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/controllers/rest/AdminApi.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/java/edu/gjoko/schedlr/controllers/rest/AdminApi.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -0,0 +1,26 @@
+package edu.gjoko.schedlr.controllers.rest;
+
+import edu.gjoko.schedlr.entity.Business;
+import edu.gjoko.schedlr.services.BusinessService;
+import lombok.AllArgsConstructor;
+import org.springframework.web.bind.annotation.PatchMapping;
+import org.springframework.web.bind.annotation.RequestBody;
+import org.springframework.web.bind.annotation.RequestMapping;
+import org.springframework.web.bind.annotation.RestController;
+
+import javax.servlet.http.HttpServletRequest;
+import java.util.List;
+
+@RestController
+@RequestMapping("api/admin")
+@AllArgsConstructor
+public class AdminApi {
+
+    private final BusinessService businessService;
+
+    @PatchMapping
+    public void updateBusinessStatus(@RequestBody List<Business> businessList, HttpServletRequest request) {
+        Long customerId = (long) request.getSession(true).getAttribute("stakeholderId");
+        businessService.updateBusinessStatuses(businessList);
+    }
+}
Index: src/main/java/edu/gjoko/schedlr/controllers/rest/BusinessApi.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/controllers/rest/BusinessApi.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/controllers/rest/BusinessApi.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -27,6 +27,7 @@
 
     @PatchMapping
-    public void updateBusinesses(@RequestBody List<Business> businessList) {
-        businessService.updateBusinesses(businessList);
+    public void updateBusinesses(@RequestBody List<Business> businessList, HttpServletRequest request) {
+        Long businessOwnerId = (long) request.getSession(true).getAttribute("stakeholderId");
+        businessService.updateBusinesses(businessList, businessOwnerId);
     }
 
Index: src/main/java/edu/gjoko/schedlr/controllers/rest/CustomerApi.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/controllers/rest/CustomerApi.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/controllers/rest/CustomerApi.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -24,6 +24,7 @@
 
     @PatchMapping
-    public void updateCustomer(@RequestBody Stakeholder stakeholder) {
-        stakeholderService.saveOrUpdateStakeholder(stakeholder);
+    public void updateCustomer(@RequestBody Stakeholder stakeholder, HttpServletRequest request) {
+        Long customerId = (long) request.getSession(true).getAttribute("stakeholderId");
+        stakeholderService.saveOrUpdateStakeholder(stakeholder, customerId);
     }
 }
Index: src/main/java/edu/gjoko/schedlr/controllers/rest/ServiceApi.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/controllers/rest/ServiceApi.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
+++ src/main/java/edu/gjoko/schedlr/controllers/rest/ServiceApi.java	(revision 1413ee288bce0d328676a027fdef65e0f7ad576d)
@@ -0,0 +1,36 @@
+package edu.gjoko.schedlr.controllers.rest;
+
+import edu.gjoko.schedlr.entity.Service;
+import edu.gjoko.schedlr.services.ServicesService;
+import lombok.AllArgsConstructor;
+import org.springframework.util.CollectionUtils;
+import org.springframework.web.bind.annotation.*;
+
+import javax.servlet.http.HttpServletRequest;
+import java.util.List;
+import java.util.Objects;
+
+@RestController
+@RequestMapping("api/service")
+@AllArgsConstructor
+public class ServiceApi {
+
+
+    private ServicesService service;
+    @PostMapping(path="/delete")
+    public void saveBusiness(@RequestBody List<Service> serviceList) {
+        if(!CollectionUtils.isEmpty(serviceList)) {
+            List<Long> serviceIds = serviceList.stream()
+                    .map(Service::getId)
+                    .filter(Objects::nonNull)
+                    .toList();
+            service.deleteByIds(serviceIds);
+        }
+    }
+
+    @PatchMapping
+    public void updateServices (@RequestBody List<Service> serviceList, HttpServletRequest request) {
+        Long ownerId = (long) request.getSession(true).getAttribute("stakeholderId");
+        service.saveOrUpdateServices(serviceList, ownerId);
+    }
+}
